var pageii = null;
var grid = null;
$(function() {
	grid = lyGrid({
		id : 'paging',
		l_column : [ {
			colkey : "payId",
			width : "100px",
			hide : true
		}, {
			colkey : "name",
			name : "名称"
		}, {
			colkey : "sign",
			name : "标识"
		}, {
			colkey : "status",
			name : "状态",
			width:"60px",
			renderData : function( rowindex ,data, rowdata, colkeyn) {
				if(rowdata.status=='1'){
					return "正常";
				}else{
					return "锁定";
				}
			}
		}, {
			colkey : "partner",
			name : "合作者身份",
		}, {
			colkey : "appId",
			name : "APP编号",
		}, {
			colkey : "ukey",
			name : "私钥",
		}],
		jsonUrl : rootPath + '/paytype/find.shtml',
		checkbox : true,
		serNumber : false,
		checkValue:'payId'
	});

	$("#search").click("click", function() {// 绑定查询按扭
		var searchParams = $("#searchForm").serializeJson();// 初始化传参数
		grid.setOptions({
			data : searchParams
		});
	});
	
	$("#addBtn").click("click", function() {
		add();
	});
	
	
	$("#editBtn").click("click", function() {
		edit();
	});
	
});
function add(){
	pageii = layer.open({
		title : "添加支付方式",
		type : 2,
		area : [ "750px", "80%" ],
		content : rootPath + '/paytype/addUI.shtml'
	});
};
function edit() {
	var cbox = grid.getSelectedCheckbox();
	if (cbox.length > 1 || cbox == "") {
		layer.msg("只能选中一个");
		return;
	}
	pageii = layer.open({
		title : "商户编辑",
		type : 2,
		area : [ "650px", "80%" ],
		content : rootPath + '/paytype/editUI.shtml?id=' + cbox
	});
}
